#208 socket timeout

v1.0_(example)
closed
nobody
5
2016-08-23
2012-12-11
No

This is reinforcing the earlier issue 3594517 speaking of a socket timeout, which is closed for comment.

I'm getting repeated dropped installations due to an identical socket timeout, attempting from multiple hosts. Seems to happen randomly during installation of many packages, but overall is failing consistently enough that I can't complete an environment setup.

Thanks!

Abbreviated stack trace follows:

11-Dec-2012 12:46:45 Downloading/unpacking Werkzeug==0.8.2 (from -r requirements.txt (line 2))
11-Dec-2012 12:46:45 Exception:
11-Dec-2012 12:46:45 Traceback (most recent call last):
(snip)
11-Dec-2012 12:46:45 File "/.../python2.7/socket.py", line 380, in read
11-Dec-2012 12:46:45 data = self._sock.recv(left)
11-Dec-2012 12:46:45 File "/.../python2.7/httplib.py", line 561, in read
11-Dec-2012 12:46:45 s = self.fp.read(amt)
11-Dec-2012 12:46:45 File "/.../python2.7/socket.py", line 380, in read
11-Dec-2012 12:46:45 data = self._sock.recv(left)
11-Dec-2012 12:46:45 timeout: timed out

Discussion

  • Martin v. Löwis

    What timezone is this trace in?

    Is there any chance that you could provide tcpdump/wireshark data for the communication?

     
  • Richard Jones

    Richard Jones - 2012-12-13

    Also have you attempted to use any of the PyPI mirrors? Do you get the same timeout issue with them?

     
  • Ernest W. Durbin III

    • status: open --> closed
    • Group: --> v1.0_(example)
     
  • Ernest W. Durbin III

    another remnant of the days before the modern PyPI infrastructure.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks